export PATH=~/bin/$(hostname):~/bin/$(uname -m):~/bin:~/go/bin:$PATH
export ENV=~/.rc
export EDITOR=nvim
export LANG=en_US.UTF-8
export GDK_BACKEND=wayland
# https://wiki.archlinux.org/title/Firefox#Applications_on_Wayland_can_not_launch_Firefox
export MOZ_DBUS_REMOTE=1
export XDG_CURRENT_DESKTOP=sway
export CHEF_USER_NAME=jolson
export DIGITALOCEAN_ACCESS_TOKEN="$(pa show cloud.digitalocean.com | head -1)"

# this apparently makes java windows not suck
# for reasons beyond my mortal comprehension
# used for:
#   - arduino ide
export _JAVA_AWT_WM_NONREPARENTING=1
